<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.1/css/bootstrap.min.css" integrity="sha384-VCmXjywReHh4PwowAiWNagnWcLhlEJLA5buUprzK8rxFgeH0kww/aWY76TfkUoSX" crossorigin="anonymous">
    <title>Tit2</title>
    <script type="text/javascript" src="javascript/scripts.js">
    </script>
</head>
<body>
    <div id="warning" style="position: absolute; left:50%; display:none;">
        <div style="position: relative; left:-50%;">
            <div class="alert alert-danger" role="alert">
                A simple danger alert—check it out!
            </div>
        </div>
    </div>

    <div style="position:absolute; left: 50%; top:50%; text-align: center;">
        <div style="position: relative; left: -50%; top:-50%;">
            <h3>
                Two options:
                <small class="text-muted">Which one will you pick?</small>
            </h3>
            <!-- INPUT -->
            <div class="input-group flex-nowrap" style="margin: auto; width: 240px;">
                <input oninput="handleInput(this)" type="text" class="form-control" placeholder="enter text to access buttons" aria-label="Username" aria-describedby="addon-wrapping">
            </div>
            <!-- BUTTONS -->
            <div id="buttons" style="margin-top: 5px; display:none">
                <button type="button" onclick="greetingsClick()" class="btn btn-outline-dark">Get a greeting</button>
                <button type="button" onclick="reverseClick()" class="btn btn-outline-dark">Reverse a string</button>
            </div>
        </div>
    </div>
    <!-- TOAST -->
    <div class="toast" role="alert" aria-live="assertive" aria-atomic="true" style="position:absolute; bottom: 5px; right: 5%;">
        <div class="toast-header">
            <strong class="mr-auto">Server response</strong>
            <small class="text-muted">Just now</small>
            <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div id="toastT" class="toast-body">
            Hello, world! This is a toast message.
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.1/js/bootstrap.min.js" integrity="sha384-XEerZL0cuoUbHE4nZReLT7nx9gQrQreJekYhJD9WNWhH8nEW+0c5qq7aIo2Wl30J" crossorigin="anonymous"></script>
</body>
</html>